import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Sys005Service } from "app/views/sys/sys005/sys005.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Sys005Resolver implements Resolve<any> {
  constructor(private sys005Service: Sys005Service) {}

  resolve(): Observable<any> {
    return this.sys005Service.selectedPage;
  }
}
